=== modified file 'loggerhead/controllers/directory_ui.py'
--- loggerhead/controllers/directory_ui.py	2008-08-04 02:08:01 +0000
+++ loggerhead/controllers/directory_ui.py	2008-08-04 20:59:56 +0000
@@ -16,6 +16,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
+import datetime
 import logging
 import os
 
@@ -29,7 +30,8 @@
         self.dirname = dirname
         self.parity = parity
         self.branch = branch
-        self.last_change = "FIXME"
+        self.last_change =  datetime.datetime.fromtimestamp(
+                branch.repository.get_revision(branch.last_revision()).timestamp)
 
 class DirectoryUI(TemplatedBranchView):
     """

=== added file 'loggerhead/static/images/ico_branch.gif'
Binary files loggerhead/static/images/ico_branch.gif and loggerhead/static/images/ico_branch.gif differ
=== modified file 'loggerhead/templates/directory.pt'
--- loggerhead/templates/directory.pt	2008-08-04 02:08:01 +0000
+++ loggerhead/templates/directory.pt	2008-08-04 20:59:56 +0000
@@ -23,16 +23,12 @@
             <tal:branch-row tal:condition="dir/branch">
               <tr tal:attributes="class string:blueRow${dir/parity}">
                 <td class="autcell">
-                  <img tal:attributes="src python:branch.static_url('/static/images/ico_folder.gif')" />
+                  <img tal:attributes="src python:branch.static_url('/static/images/ico_branch.gif')" />
                   <a tal:attributes="href string:${dir/dirname}/files" tal:content="dir/dirname" /></td>
                 <td class="date">
-                  <tal:block tal:condition="dir/branch" tal:content="dir/branch/revno">
-                    last revno here!
-                  </tal:block>
-                </td>
-                <td class="date" tal:content="dir/last_change">
-                  FIXME: changed date here!
-                </td>
+                  <tal:block tal:condition="dir/branch" tal:content="dir/branch/revno" />
+                </td>
+                <td class="date" tal:content="python:util.date_time(dir.last_change)"></td>
               </tr>
             </tal:branch-row>
             <tal:non-branch-row tal:condition="not:dir/branch">

